var Dfe36000_EntradasTransferenciaDoOperadorLogistico_Service = function(Dfe36000_EntradasTransferenciaDoOperadorLogistico_Repository, General){
    
    this.buildFilter = function(fieldsName, currentRow) {
        let filter = [];
        fieldsName.forEach((fieldName) => {
            filter.push({
                "name": "P_".concat(fieldName),
                "operator": "=",
                "value": (currentRow[fieldName]) ? currentRow[fieldName] : 'T'
            }); 
        });
        return filter;
    };
    
    this.getParamGeral = function() {
        return General.callRestEngine("df#/crud/paramgeral", "FilterData", []);
    };


    this.getFilial = function(){
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return General.callRestEngine("df#/crud/filial", "FilterData", filter);
    };
    
};

Configuration(function (ContextRegister){
    ContextRegister.register('Dfe36000_EntradasTransferenciaDoOperadorLogistico_Service', Dfe36000_EntradasTransferenciaDoOperadorLogistico_Service);
});
